Description

When we export a layer to a shapefile the CRS window doesn't work correctly. 
Example: We have a View in 25830, we load a layer in 23030 on the fly, and we export that layer to a new shapefile: 
  1- If we select "Use the same projection than the origin" (that means 23030), it indicates 25830 at the window, and the layer is saved
in 23030. If we load it later it's reprojected on the fly. 
  2- If we select "Use the same projection of the context" (that means 25830), it indicates 23030 at the window, and the layer is saved
in 25830. 
  3- If we select "Select a projection" and we select 25830, the layer is saved in 25830, but when we load that layer it's loaded with
23030 location. 
++++++++++++++++++++++++++++++
Cuando exportamos una capa a nuevo SHP, la ventana de selección de CRS no funciona correctamente. 
Ejemplo: Tenemos una Vista en 25830, cargamos una capa en 23030 reproyectada al vuelo y la exportamos a nuevo SHP: 
  1- Seleccionando "Usar la misma proyección del origen" (que sería 23030) en el menú dice 25830 y la capa se guarda en 23030. Al
cargarla después la reproyecta al vuelo
  2- Seleccionando "Usar la misma proyección del contexto (normalmente la vista)" (que sería 25830), que es en lo que está la Vista),
en el menú dice 23030, y la capa se guarda en 25830. 
  3- Seleccionando "Seleccionar una proyección", y seleccionando 25830, la capa se guarda en 25830, pero al cargarla se carga en
el lugar que le correspondería a la 23030.

Associated revisions
Revision 44168 - 03/01/2019 10:36 AM - Joaquín  del Cerro Murciano

refs #4964, corregido un error al asignar las proyecciones a los componentes graficos

Revision 44170 - 03/01/2019 12:30 PM - Óscar Martínez

refs #4964 corregido bug al asignar la transformacion de coordenadas al ser diferentes la de inicio y destino

History
#1 - 02/04/2019 04:25 PM - Álvaro Anguix
- Target version set to 2.5.0-2930-final

#2 - 02/16/2019 11:22 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241)

#3 - 02/18/2019 05:52 PM - Mario Carrera
- Priority changed from Normal to Urgent

#4 - 03/01/2019 12:31 PM - Óscar Martínez
- Status changed from New to Fixed

#5 - 03/05/2019 11:44 AM - Mario Carrera
- Status changed from Fixed to Closed

Comprobado en el 2913
